import asyncio

from dotenv import load_dotenv

from kraken_bot.KrakenBot import KrakenBot
from kraken_bot.LinearRegression import LinearRegression
from kraken_bot.MyStrategy import MyStrategy

load_dotenv()

bot = KrakenBot(
        tier = 'Pro',
        model = LinearRegression(),
        trading_strategy = MyStrategy()
        )

if __name__ == '__main__':
    asyncio.run(bot.update(full=True))
    asyncio.run(bot.execute())
