from abc import ABC, abstractmethod

from kraken_bot.MatrixLogger import MatrixLogger

class Model(ABC):
    def __init__(self, interval, ascending):
        self.interval = interval
        self.ascending = ascending
        self.log = MatrixLogger(self.__class__.__name__)

    @abstractmethod
    def since():
        pass

    @abstractmethod
    def update(self, tradable_asset_pairs, ohlc_data, account_balance, trade_balance):
        pass
